رموز QR
GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري قوسين | صفحة البحث . |
| search_by | اختياري قوسين | ما هي الحقول التي تبحث عنها؟ القيم المسموح بها هي: name. |
| project_id | اختياري كاملة | |
| type | اختياري قوسين | ما هي الحقول التي تبحث عنها؟ القيم المسموح بها هي: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | اختياري قوسين | القيم المسموح بها : datetime, last_datetime |
| datetime_start | اختياري قوسين | تصفية النتائج بدءا من هذا التاريخ. Y-m-d H:i:s في شكل . |
| datetime_end | اختياري قوسين | تصفية النتائج حتى هذا التاريخ. Y-m-d H:i:s في شكل . |
| order_by | اختياري قوسين | ما هي الحقول التي يمكن ترتيب النتائج بواسطة.القيم المسموح بها هي: qr_code_id, datetime, last_datetime, name, type. |
| order_type | اختياري قوسين | أجزاء من النتائج.القيم المسموح بها هي: ASC من أجل صعود الطلب، و DESC للخروج من الأوامر. |
| page | اختياري كاملة | رقم الصفحة التي تريد النتائج من. 1. |
| results_per_page | اختياري كاملة | كم عدد النتائج التي تريدها لكل صفحة؟ القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. عيوب في 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:38:10",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/qr-codes?page=1",
"last": "https://0o0.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/qr-codes?page=1"
}
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:38:10",
}
}
POST https://0o0.online/api/qr-codes
| المعلمات | التفاصيل | الوصف |
|---|---|---|
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \